gi-cairo-1.0.17: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Pattern

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Pattern = Pattern (ManagedPtr Pattern)
- noPattern :: Maybe Pattern

# Exported types

newtype Pattern Source #

Memory-managed wrapper type.

Constructors

Pattern (ManagedPtr Pattern) |

Instances

BoxedObject Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern Methods boxedType :: Pattern -> IO GType Source #

noPattern :: Maybe Pattern Source #

A convenience alias for `Nothing` :: `Maybe` `Pattern`.